Class Specialization
Banded LocalAlignmentEnumerator
Banded enumeration of local alignments using the Waterman-Eggert algorithm.

LocalAlignmentEnumerator

Banded LocalAlignmentEnumerator

LocalAlignmentEnumerator<TScore, Banded>
Include Headers
seqan/align.h
Specialization of
LocalAlignmentEnumerator
Member Functions

LocalAlignmentEnumerator | Constructor

Functions

getScore | Compute next suboptimal local alignment. (LocalAlignmentEnumerator)
nextLocalAlignment | Compute next suboptimal local alignment. (LocalAlignmentEnumerator)

Examples
Enumerate all alignments in the band between -3 and 0 into an Align object.
SimpleScore scoringScheme(2, -1, -1, -2);
LocalAlignmentEnumerator<SimpleScore, Banded> enumerator(scoringScheme, 5, -3, 0);
Dna5String seqH = "CGAGAGAGACCGAGA";
Dna5String seqV = "TTCTGAGATCCGTTTTT";
Align<Dna5String> align;
resize(rows(align), 2);
assignSource(row(align), 0, seqH);
assignSource(row(align), 1, seqV);
int i = 0;
while (nextLocalAlignment(align, enumerator))
{
std::cout << i << "-th alignment:\n";
std::cout << align << "\n\n";
std::cout << "score == " << getScore(enumerator) << "\n";
}
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00